Index: src/sas/perspectives/fitting/models.py
===================================================================
--- src/sas/perspectives/fitting/models.py	(revision 6f82ba1b683b11bceac4d67527c66113ea176632)
+++ src/sas/perspectives/fitting/models.py	(revision 2f4b43041eaa7b7f496750f223a299cb33cd268e)
@@ -20,5 +20,5 @@
 from sas.models.BaseComponent import BaseComponent
 from sas.guiframe.CategoryInstaller import CategoryInstaller
-   
+
 PLUGIN_DIR = 'plugin_models'
 
@@ -40,10 +40,10 @@
     """
     Do some checking before model adding plugins in the list
-    
+
     :param model: class model to add into the plugin list
     :param name:name of the module plugin
-    
+
     :return model: model if valid model or None if not valid
-    
+
     """
     #Check if the plugin is of type Model1DPlugin
@@ -63,5 +63,5 @@
         log(msg)
         return None
-   
+
     if hasattr(new_instance, "function"):
         try:
@@ -77,6 +77,6 @@
         return None
     return model
-  
-  
+
+
 def find_plugins_dir():
     """
@@ -85,9 +85,9 @@
     """
     dir = os.path.join(os.path.expanduser("~"), '.sasview', PLUGIN_DIR)
-    
+
     # If the plugin directory doesn't exist, create it
     if not os.path.isdir(dir):
         os.makedirs(dir)
-        
+
     # Find paths needed
     try:
@@ -132,5 +132,5 @@
             raise type, value, traceback
         return 1
-    
+
 report_problem = ReportProblem()
 
@@ -173,5 +173,5 @@
             if toks[1] == '.py' and not toks[0] == '__init__':
                 name = toks[0]
-            
+
                 path = [os.path.abspath(dir)]
                 file = None
@@ -194,5 +194,5 @@
                     log(msg)
                 finally:
-              
+
                     if not file == None:
                         file.close()
@@ -213,14 +213,14 @@
         """
         self.mydict = {}
-        
+
     def set_list(self, name, mylist):
         """
         :param name: the type of the list
         :param mylist: the list to add
-        
+
         """
         if name not in self.mydict.keys():
             self.reset_list(name, mylist)
-            
+
     def reset_list(self, name, mylist):
         """
@@ -229,5 +229,5 @@
         """
         self.mydict[name] = mylist
-            
+
     def get_list(self):
         """
@@ -235,6 +235,6 @@
         """
         return self.mydict
-        
-        
+
+
 class ModelManagerBase:
     """
@@ -262,5 +262,5 @@
     event_owner = None
     last_time_dir_modified = 0
-    
+
     def __init__(self):
         """
@@ -269,5 +269,5 @@
         self.stored_plugins = {}
         self._getModelList()
-        
+
     def findModels(self):
         """
@@ -280,12 +280,12 @@
         logging.info("pluging model : %s\n" % str(temp))
         return temp
-        
+
     def _getModelList(self):
         """
         List of models we want to make available by default
         for this application
-    
+
         :return: the next free event ID following the new menu events
-        
+
         """
 
@@ -702,5 +702,5 @@
             #        self.shape_indep_list.append(BEPolyelectrolyte)
             self.model_name_list.append(BEPolyelectrolyte.__name__)
-            self.form_factor_dict[str(wx.NewId())] =  [SphereModel]
+            self.form_factor_dict[str(wx.NewId())] = [SphereModel]
         except:
             pass
@@ -1013,5 +1013,5 @@
         #self.shape_indep_list.append(FractalO_Z)
         #self.model_name_list.append(FractalO_Z.__name__)
-    
+
         #Looking for plugins
         self.stored_plugins = self.findModels()
@@ -1019,7 +1019,7 @@
         for name, plug in self.stored_plugins.iteritems():
             self.model_dictionary[name] = plug
-            
+
         self._get_multifunc_models()
-       
+
         return 0
 
@@ -1036,7 +1036,7 @@
                 is_modified = True
                 self.last_time_dir_modified = temp
-        
+
         return is_modified
-    
+
     def update(self):
         """
@@ -1055,5 +1055,5 @@
         else:
             return {}
-    
+
     def pulgins_reset(self):
         """
@@ -1074,5 +1074,5 @@
         self.model_combobox.reset_list("Customized Models", self.plugins)
         return self.model_combobox.get_list()
-       
+
 ##   I believe the next four methods are for the old form factor GUI
 ##   where the dropdown showed a list of categories which then rolled out
@@ -1101,5 +1101,5 @@
         ## guiframe reference
 #        self.event_owner = event_owner
-        
+
 #        shape_submenu = wx.Menu()
 #        shape_indep_submenu = wx.Menu()
@@ -1112,19 +1112,19 @@
 #                                         " simple shape"],
 #                         list1=self.shape_list)
-        
+
 #        self._fill_simple_menu(menuinfo=["Shape-Independent",
 #                                         shape_indep_submenu,
 #                                         "List of shape-independent models"],
 #                         list1=self.shape_indep_list)
-        
+
 #        self._fill_simple_menu(menuinfo=["Structure Factors",
 #                                         structure_factor,
 #                                         "List of Structure factors models"],
 #                                list1=self.struct_list)
-        
+
 #        self._fill_plugin_menu(menuinfo=["Customized Models", added_models,
 #                                            "List of additional models"],
 #                                 list1=self.plugins)
-        
+
 #        self._fill_menu(menuinfo=["P(Q)*S(Q)", multip_models,
 #                                  "mulplication of 2 models"],
@@ -1132,5 +1132,5 @@
 #                                   list2=self.struct_list)
 #        return 0
-    
+
 #    def _fill_plugin_menu(self, menuinfo, list1):
 #        """
@@ -1143,5 +1143,5 @@
 #            menuinfo[1].Append(int(id), "Empty", msg)
 #        self._fill_simple_menu(menuinfo, list1)
-        
+
 #   def _fill_simple_menu(self, menuinfo, list1):
 #       """
@@ -1157,5 +1157,5 @@
 #       if len(list1) > 0:
 #           self.model_combobox.set_list(menuinfo[0], list1)
-            
+
 #            for item in list1:
 #                try:
@@ -1217,11 +1217,11 @@
 #        id = wx.NewId()
 #        self.modelmenu.AppendMenu(id, menuinfo[0], menuinfo[1], menuinfo[2])
-        
+
     def _on_model(self, evt):
         """
         React to a model menu event
-        
+
         :param event: wx menu event
-        
+
         """
         if int(evt.GetId()) in self.form_factor_dict.keys():
@@ -1232,10 +1232,10 @@
         else:
             model = self.struct_factor_dict[str(evt.GetId())]()
-        
+
         #TODO: investigate why the following two lines were left in the code
         #      even though the ModelEvent class doesn't exist
         #evt = ModelEvent(model=model)
         #wx.PostEvent(self.event_owner, evt)
-        
+
     def _get_multifunc_models(self):
         """
@@ -1250,9 +1250,9 @@
                 # pass to other items
                 pass
-                    
+
     def get_model_list(self):
         """
         return dictionary of models for fitpanel use
-        
+
         """
         ## Model_list now only contains attribute lists not category list.
@@ -1263,5 +1263,5 @@
         ##
         ## -PDB   April 26, 2014
-        
+
 #        self.model_combobox.set_list("Shapes", self.shape_list)
 #        self.model_combobox.set_list("Shape-Independent",
@@ -1274,5 +1274,5 @@
         self.model_combobox.set_list("Multi-Functions", self.multi_func_list)
         return self.model_combobox.get_list()
-    
+
     def get_model_name_list(self):
         """
@@ -1286,6 +1286,6 @@
         """
         return self.model_dictionary
-  
-        
+
+
 class ModelManager(object):
     """
@@ -1300,29 +1300,29 @@
     def findModels(self):
         return self.__modelmanager.findModels()
-    
+
     def _getModelList(self):
         return self.__modelmanager._getModelList()
-    
+
     def is_changed(self):
         return self.__modelmanager.is_changed()
-    
+
     def update(self):
         return self.__modelmanager.update()
-    
+
     def pulgins_reset(self):
         return self.__modelmanager.pulgins_reset()
-    
+
     def populate_menu(self, modelmenu, event_owner):
         return self.__modelmanager.populate_menu(modelmenu, event_owner)
-    
+
     def _on_model(self, evt):
         return self.__modelmanager._on_model(evt)
-    
+
     def _get_multifunc_models(self):
         return self.__modelmanager._get_multifunc_models()
-    
+
     def get_model_list(self):
         return self.__modelmanager.get_model_list()
-    
+
     def get_model_name_list(self):
         return self.__modelmanager.get_model_name_list()
